/**
 * mini-DebConf theme for reveal.js. This is the opposite of the 'white' theme.
 *
 * By Hakim El Hattab, http://hakim.se
 */


// Default mixins and settings -----------------
@import "../template/mixins";
@import "../template/settings";
// ---------------------------------------------


// Include theme-specific fonts
@import url(../../lib/font/source-sans-pro/source-sans-pro.css);
@import url(../../lib/font/amatic-sc/amatic-sc.css);
@import url(../../lib/font/fabfeltscript/fabfeltscript.css);


// Override theme settings (see ../template/settings.scss)
$backgroundColor: #708894;

$mainColor: #fff;
$headingColor: #fff;

$mainFontSize: 42px;
$mainFont: 'Source Sans Pro', Helvetica, sans-serif;
$headingFont: 'Source Sans Pro', Helvetica, sans-serif;
$headingTextShadow: none;
$headingLetterSpacing: normal;
$headingTextTransform: uppercase;
$headingFontWeight: 600;
$linkColor: #42affa;
$linkColorHover: lighten( $linkColor, 15% );
$selectionBackgroundColor: lighten( $linkColor, 25% );

$heading1Size: 2.5em;
$heading2Size: 1.6em;
$heading3Size: 1.3em;
$heading4Size: 1.0em;

section.has-light-background {
	&, h1, h2, h3, h4, h5, h6 {
		color: #222;
	}
}
// Theme template ------------------------------
@import "../template/theme";
// ---------------------------------------------



.reveal section h1 {
  // text-shadow: 0 1px 0 #ccc, 0 2px 0 #c9c9c9, 0 3px 0 #bbb, 0 4px 0 #b9b9b9, 0 5px 0 #aaa, 0 6px 1px rgba(0, 0, 0, 0.1), 0 0 5px rgba(0, 0, 0, 0.1), 0 1px 3px rgba(0, 0, 0, 0.3), 0 3px 5px rgba(0, 0, 0, 0.2), 0 5px 10px rgba(0, 0, 0, 0.25), 0 20px 20px rgba(0, 0, 0, 0.15); }
  text-shadow: 0 0 3px #ccc, 0 2px 0 #c9c9c9, 0 3px 0 #bbb;
  font-family: "Amatic SC", $headingFont;
  font-size: 4em; }

.reveal h2 {
  text-shadow: 0 0 3px #ccc, 0 2px 0 #c9c9c9;
  font-family: "Amatic SC", $headingFont;
  font-size: 2.5em; }

.reveal section h3 {
  font-family: "Amatic SC", $headingFont;
  font-size: 2em; }

.reveal section .logo {
  // padding: 1em;
  // background: white;
  // border: 2px solid #ccc;
  background: none;
  width: 150px;
}

.reveal section a {
  color: $mainColor;
}

.reveal section .talk-past,
.reveal section .talk-future {
  opacity: 0.5;
  list-style-type: circle;
}
.reveal section .talk-next {
  font-weight: bolder;
  list-style-type: disclosure-closed;
  // color: #d70751;
  // text-shadow:  0px 0px 2px #ccc;
}
.reveal section address {
  font-style: italic;
}
.reveal section .inline-logos {
  margin: 0;
  padding: 0;
}
.reveal section .inline-logos li {
  list-style: none;
  display: inline;
  margin: 0 0.5em;
}
